List all heat pumps
curl --request GET \
--url http://aris.local/api/heatpumps \
--header 'Authorization: Bearer <token>'import requests
url = "http://aris.local/api/heatpumps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://aris.local/api/heatpumps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"heatPumps": [
{
"hpId": "hp_outdoor_1",
"parentHcuId": "hcu_main",
"compressorSpeedPercent": 65,
"compressorHz": 78,
"fanRpm": 850,
"defrostActive": false,
"highPressureBar": 28.5,
"lowPressureBar": 8.2,
"compressorDischargeTempC": 85,
"compressorSuctionTempC": 12,
"thermalPowerKw": 12.5,
"electricalPowerKw": 3.2,
"copInstant": 3.9,
"acVoltageV": 230,
"acCurrentA": 12.5,
"firmwareVersion": "v2.4.1",
"activeFaults": []
}
]
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}Heat Pumps
List all heat pumps
Returns telemetry and diagnostics for all heat pumps.
GET
/
api
/
heatpumps
List all heat pumps
⌘I

